# GLM_GTX_normalize_dot

GLM_GTX_normalize_dot
GTX Extensions (Experimental)

## Functions

template<typename genType >
genType::value_type | fastNormalizeDot (genType const &x, genType const &y)
template<typename genType >
genType::value_type | normalizeDot (genType const &x, genType const &y)

## Detailed Description

Dot product of vectors that need to be normalize with a single square root.

<glm/gtx/normalized_dot.hpp> need to be included to use these functionalities.

## Function Documentation

genType::value_type glm::fastNormalizeDot | ( | genType const & | x,
|  | genType const & | y
| ) |  |

Normalize parameters and returns the dot product of x and y.

Faster that dot(fastNormalize(x), fastNormalize(y)). From GLM_GTX_normalize_dot extension.

genType::value_type glm::normalizeDot | ( | genType const & | x,
|  | genType const & | y
| ) |  |

Normalize parameters and returns the dot product of x and y.

It's faster that dot(normalize(x), normalize(y)). From GLM_GTX_normalize_dot extension.